$stitle	Define the Worksheet Layouts  

set n	Reference to worksheet rows and columns /1*1000/;

set y	Years in database and extrapolated values /1990*2050/;

alias (r,s,en,*), (n,nn);

$eolcom !

set rgmap(n,r) /
	7.OECDNAM	! OECD North America
	8.USA		! United States /a
	9.CAN		! Canada
	10.MEX		! Mexico
	11.OECDEUR	! OECD Europe
	12.OECDASIA	! OECD Asia
	13.JPN		! Japan
	14.KOR		! South Korea
	15.ANZ		! Australia/New Zealand
	16.OECD		! Total OECD
	19.NOECDEUR	! Non-OECD Europe and Eurasia
	20.RUS		! Russia
	21.OTHNOECDEUR	! Other
	22.NOECDASIA	! Non-OECD Asia
	23.CHN		! China
	24.IND		! India
	25.OTHNOECDASIA	! Other Non-OECD Asia
	26.MIDEAST	! Middle East
	27.AFRICA	! Africa
	28.CSA		! Central and South America
	29.BRA		! Brazil
	30.OCSA		! Other Central and South America
	31.NOECD	! Total Non-OECD
	33.WORLD	! Total World
/;

set enmap(n,*,*)  Energy table /

*	  OECD North America
8.oecdnam.liquids	    ! Liquids
9.oecdnam.gas	    ! Natural Gas
10.oecdnam.col	    ! Coal
11.oecdnam.nuc	    ! Nuclear
12.oecdnam.oth	    ! Other
13.oecdnam.total	!	      Total
  
*         OECD Europe
15.oecdeur.liquids	    ! Liquids
16.oecdeur.gas	    ! Natural Gas
17.oecdeur.col	    ! Coal
18.oecdeur.nuc	    ! Nuclear
19.oecdeur.oth	    ! Other
20.oecdeur.tot	!   Total
  
*         OECD Asia
22.oecdasia.liquids	    ! Liquids
23.oecdasia.gas	    ! Natural Gas
24.oecdasia.tot	! asia..col	    ! Coal
25.oecdasia.nuc	    ! Nuclear
26.oecdasia.oth	    ! Other
27.oecdasia.tot		! Total
  
*         Total OECD
29.oecd.liquids	    ! Liquids
30.oecd.gas	    ! Natural Gas
31.ooecd.tot		! ecd.col	    ! Coal
32.oecd.nuc	    ! Nuclear
33.oecd.oth	    ! Other
34.oecd.tot	!	      Total
  
*       Non-OECD
*         Non-OECD Europe and Eurasia
38.noecdeur.liquids	    ! Liquids
39.noecdeur.col	    ! Gas
40.noecdeur.col	    ! Coal
41.noecdeur.nuc	    ! Nuclear
42.noecdeur.oth	    ! Other
43.noecdeur.tot	    ! Total
  
*         Non-OECD Asia
45.noecdasia.liquids	    ! Liquids
46.noecdasia.tot	    ! Natural Gas
47.noecdasia.col	    ! Coal
48.noecdasia.nuc	    ! Nuclear
49.noecdasia.oth	    ! Other
50.noecdasia.tot	 !     Total
  
*         Middle East
52.mideast.liquids		    ! Liquids
53.mideast.gas	    ! Natural Gas
54.mideast.col	    ! Coal
55.mideast.nuc	    ! Nuclear
56.mideast.oth	    ! Other
57.mideast.tot	! Total
  
*         Africa
59.mideast.liquids	    ! Liquids
60.mideast.gas	    ! Natural Gas
61.mideast.col	    ! Coal
62.mideast.nuc	    ! Nuclear
63.mideast.oth	    ! Other
64.mideast.tot	! Total
  
*         Central and South America
66.csa.liquids	    ! Liquids
67.csa.gas	    ! Natural Gas
68.csa.col	    ! Coal
69.csa.nuc	    ! Nuclear
70.csa.oth	    ! Other
71.csa.tot	! Total
  
*         Total Non-OECD
73.noecd.liquids	    ! Liquids
74.noecd.gas	    ! Natural Gas
75.noecd.col	    ! Coal
76.noecd.nuc	    ! Nuclear
77.noecd.oth	    ! Other
78.noecd.tot	!      Total
  
*       Total World
81.world.liquids	    ! Liquids
82.world.gas	    ! Natural Gas
83.world.col	    ! Coal
84.world.nuc	    ! Nuclear
85.world.oth	    ! Other
86.world.tot	! Total
/;


set  smap(n,s,en)  Mapping for end-use sectors /

*	NB The Table F1 worksheet is aligned differently that the other worksheets.  
*	Insert a blank row 6 to impose consistency with Tables F2-F19.

*	Residential
	8.Residential.Liquids
	9.Residential.Gas
	10.Residential.Coal
	11.Residential.Electricity
	12.Residential.Renewables
	13.Residential.Total
*	Commercial
	15.Commercial.Liquids
	16.Commercial.Gas
	17.Commercial.Coal
	18.Commercial.Electricity
	19.Commercial.Renewables
	20.Commercial.Total
*	Industrial
	22.Industrial.Liquids
	23.Industrial.Gas
	24.Industrial.Coal
	25.Industrial.Electricity
	26.Industrial.Renewables
	27.Industrial.Total
*	Transportation
	29.Transportation.Liquids
	30.Transportation.Gas
	31.Transportation.Coal
	32.Transportation.Electricity
	33.Transportation.Total
*	All End-Use Sectors
	35.All.Liquids
	36.All.Gas
	37.All.Coal
	38.All.Electricity
	39.All.Renewables
	40.All.DeliveredEnergy 
	41.All.Electricity-RelatedLosses
	42.All.Total
*	Electric Power/a
*	a/Fuel inputs used in the production of electricity and heat at central-station generators.
	44.ElectricPower.Liquids
	45.ElectricPower.Gas
	46.ElectricPower.Coal
	47.ElectricPower.Nuclear
	48.ElectricPower.Renewables
	49.ElectricPower.Total
*	Total Energy Consumption
	51.Total.Liquids
	52.Total.Gas
	53.Total.Coal
	54.Total.Nuclear
	55.Total.Renewables
	56.Total.Total /;


set oilmap(n,r) /
7.opec	! OPEC /a
*	a/ OPEC = Organization of the Petroleum Exporting Countries (OPEC-12).
8.idn	!  Asia (Indonesia)
9.opecmideast	!  Middle East
10.irn	!    Iran
11.irq	!    Iraq
12.kwt	!    Kuwait
13.qat	!    Qatar
14.sau	!    Saudi Arabia
15.are	!    United Arab Emirates
16.opecnafr	!  North Africa
17.dza	!    Algeria
18.lby	!    Libya
19.opecwafr	!  West Africa
20.ago	!    Angola
21.nga	!    Nigeria
22.opecsam	!  South America (Venezuela)
23.nopec	!Non-OPEC
24.oecd	!  OECD
25.oecdnam	!    OECD North America
26.usa	!      United States
27.can	!      Canada
28.mex	!      Mexico
29.oecdeur	!    OECD Europe
30.oecdasia	!    OECD Asia
31.jpn	!      Japan
32.kor	!      South Korea
33.anz	!      Australia and New Zealand
34.noecd	!  Non-OECD
35.noecdeur	!    Non-OECD Europe and Eurasia
36.rus	!      Russia
37.caspian	!      Caspian Area
38.othnoecdeur	!      Other
39.noecdasia	!    Non-OECD Asia
40.chn	!      China
41.ind	!      India
42.othnoecdasia	!      Other
43.mideast	!    Middle East (Non-OPEC)
44.africa	!    Africa
45.csa	!    Central and South America
46.bra	!      Brazil
47.othcsa	!      Other
48.world	! Total World
49.pctopec	! OPEC Share of World Production
50.pctgulf	! Persian Gulf Share of World Production
/;

set unconv(n,r,en) /
7.opec.total	! OPEC /a
8.opec.biof	!  Biofuels
9.opec.heavy	!  Ultra-Heavy Oil (Venezuela)
10.opec.ctl	!  Coal-to-Liquids
11.opec.gtl	!  Gas-to-Liquids (primarily Qatar)
12.nopec.total	!Non-OPEC
13.oecd.total	!  OECD
14.oecd.biof	!    Biofuels
15.oecd.sands	!    Oil Sands/Bitumen (Canada)
16.oecd.heavy	!    Ultra-Heavy Oil (Mexico)
17.oecd.ctl	!    Coal-to-Liquids
18.oecd.gtl	!    Gas-to-Liquids
19.oecd.shale	!    Shale Oil
20.noecd.total	!  Non-OECD
21.noecd.biof	!    Biofuels
22.noecd.heavy	!    Ultra-Heavy Oil
23.noecd.ctl	!    Coal-to-Liquids
24.noecd.gtl	!    Gas-to-Liquids
25.noecd.shale	!    Shale Oil
26.world.total	!World
27.world.biof	!  Biofuels
28.world.sands	!  Oil Sands/Bitumen
29.world.heavy	!  Ultra-Heavy Oil
30.world.ctl	!  Coal-to-Liquids
31.world.gtl	!  Gas-to-Liquids
32.world.shale	!  Shale Oil
33.world.total	!World Total
*34		!Selected Country Highlights
*35		!  Biofuels
36.bra.biof	!    Brazil
37.chn.biof	!    China
38.ind.biof	!    India
39.usa.biof	!    United States
*40		!  Coal-to-Liquids
41.anz.ctl	!    Australia and New Zealand
42.chn.ctl	!    China
43.ger.ctl	!    Germany
44.ind.ctl	!    India
45.zaf.ctl	!    South Africa
46.usa.ctl	!    United States
*47		!  Gas-to-Liquids
48.qat.gtl	!    Qatar
49.zaf.gtl	!    South Africa
/;

set conv(n,r) /
7.opec	 ! OPEC /a
8.idn	 !   Asia (Indonesia)
9.mideast	 !   Middle East
10.irn	 !     Iran
11.irq	 !     Iraq
12.kwt	 !     Kuwait
13.qat	 !     Qatar
14.sau	 !     Saudi Arabia
15.are	 !     United Arab Emirates
16.opecnafr	 !   North Africa
17.dza	 !     Algeria
18.lby	 !     Libya
19.opecwafr	 !   West Africa
20.ago	 !     Angola
21.nga	 !     Nigeria
22.opecsam	 !   South America (Venezuela)
23.nopec	 ! Non-OPEC
24.oecd	 !   OECD
25.oecdnam	 !     OECD North America
26.usa	 !       United States
27.can	 !       Canada
28.mex	 !       Mexico
29.oecdeur	 !     OECD Europe
30.den	 !       Denmark
31.nor	 !       Norway
32.gbr	 !       United Kngdom
33.othoecdeur	 !       Other
34.oecdasia	 !     OECD Asia
35.jpn	 !       Japan
36.kor	 !       South Korea
37.anz	 !       Australia and New Zealand
38.noecd	 !   Non-OECD
39.noecdeur	 !     Non-OECD Europe and Eurasia
40.rus	 !       Russia
41.caspian	 !       Caspian Area
42.aze	 !         Azerbaijan
43.kaz	 !         Kazakhstan
44.tkm	 !         Turkmenistan
45.uzb	 !         Uzbekistan
46.othcaspian	 !       Other
47.noecdasia	 !     Non-OECD Asia
48.chn	 !       China
49.ind	 !       India
50.brn	 !       Brunei
51.mal	 !       Malaysia
52.tha	 !       Thailand
53.vnm	 !       Vietnam
54.othnoecdasia	 !       Other
55.nopecmideast	 !     Middle East (Non-OPEC)
56.omn	 !       Oman
57.syr	 !       Syria
58.yem	 !       Yemen
59.othnopecmideast	 !       Other
60.africa	 !     Africa
61.tcd	 !       Chad
62.cog	 !       Congo (Brazzaville)
63.egy	 !       Egypt
64.gnq	 !       Equatorial Guniea
65.gab	 !       Gabon
66.stp	 !       Sao Tome and Principe
67.sdn	 !       Sudan
68.othafrica !       Other
69.csa	 !     Central and South America
70.bra	 !       Brazil
71.arg	 !       Argentina
72.col	 !       Colombia
73.ecu	 !       Ecuador
74.per	 !       Peru
75.tto	 !       Trinidad and Tobago
76.othcsa	 !       Other
77.world	 ! Total World
78.opecshare	 ! OPEC Share of World Production
79.gulfshare	 ! Persian Gulf Share of World Production
/;


