$title	Read the IEO 2007 Appendix H Workbook (electricity capacity and generation statistics)

$include layout

set	yr /2004,2010,2015,2020,2025,2030/,
	yrmap(n,yr) /2.2004, 3.2010, 4.2015, 5.2020, 6.2025, 7.2030/;

set droprow(n)/5/, dropcol(n)/8/;

parameter
      h1(*,*)	"Total Installed Generating Capacity by Region and Country (Gigawatts)",
      h2(*,*)	"Installed Liquids-Fired Generating Capacity by Region and Country (Gigawatts)",
      h3(*,*)	"Installed Natural-Gas-Fired Generating Capacity by Region and Country (Gigawatts)",
      h4(*,*)	"Installed Coal-Fired Generating Capacity by Region and Country (Gigawatts)",
      h5(*,*)	"Installed Nuclear Generating Capacity by Region and Country (Gigawatts)",
      h6(*,*)	"Installed Hydroelectric and Other Renewable Generating Capacity by Region and Country (Gigawatts)",
      h7(*,*)	"Total Net Electricity Generation From Central Producers by Region and Country (Billion Kilowatthours)",
      h8(*,*)	"Net Liquids-Fired Electricity Generation From Central Producers by Region and Country (Billion Kilowatthours)",
      h9(*,*)	"Net Natural-Gas-Fired Electricity Generation From Central Producers by Region and Country (Billion Kilowatthours)",
      h10(*,*)	"Net Coal-Fired Electricity Generation From Central Producers by Region and Country (Billion Kilowatthours)",
      h11(*,*)	"Net Nuclear Electricity Generation From Central Producers by Region and Country (Billion Kilowatthours) ",
      h12(*,*)	"Net Hydroelectric and Other Renewable Electricity Generation From Central Producers by Region and Country (Billion Kilowatthours)";

$offlisting
$include appendixh.gms
$onlisting

loop(yrmap(nn,yr),
	loop(rgmap(n,r),
	  h1(r,yr) = ws1(n,nn); ws1(n,nn) = 0;
	  h2(r,yr) = ws2(n,nn); ws2(n,nn) = 0;
	  h3(r,yr) = ws3(n,nn); ws3(n,nn) = 0;
	  h4(r,yr) = ws4(n,nn); ws4(n,nn) = 0;
	  h5(r,yr) = ws5(n,nn); ws5(n,nn) = 0;
	  h6(r,yr) = ws6(n,nn); ws6(n,nn) = 0;
	  h7(r,yr) = ws7(n,nn); ws7(n,nn) = 0;
	  h8(r,yr) = ws8(n,nn); ws8(n,nn) = 0;
	  h9(r,yr) = ws9(n,nn); ws9(n,nn) = 0;
	  h10(r,yr) = ws10(n,nn); ws10(n,nn) = 0;
	  h11(r,yr) = ws11(n,nn); ws11(n,nn) = 0;
	  h12(r,yr) = ws12(n,nn); ws12(n,nn) = 0;
	);
);
ws1(droprow,n) = 0; ws1(n,dropcol) = 0;	abort$card(ws1)	"Nonzeros were not all processed in ws1";
ws2(droprow,n) = 0; ws2(n,dropcol) = 0;	abort$card(ws2)	"Nonzeros were not all processed in ws2";
ws3(droprow,n) = 0; ws3(n,dropcol) = 0;	abort$card(ws3)	"Nonzeros were not all processed in ws3";
ws4(droprow,n) = 0; ws4(n,dropcol) = 0;	abort$card(ws4)	"Nonzeros were not all processed in ws4";
ws5(droprow,n) = 0; ws5(n,dropcol) = 0;	abort$card(ws5)	"Nonzeros were not all processed in ws5";
ws6(droprow,n) = 0; ws6(n,dropcol) = 0;	abort$card(ws6)	"Nonzeros were not all processed in ws6";
ws7(droprow,n) = 0; ws7(n,dropcol) = 0;	abort$card(ws7)	"Nonzeros were not all processed in ws7";
ws8(droprow,n) = 0; ws8(n,dropcol) = 0;	abort$card(ws8)	"Nonzeros were not all processed in ws8";
ws9(droprow,n) = 0; ws9(n,dropcol) = 0;	abort$card(ws9)	"Nonzeros were not all processed in ws9";
ws10(droprow,n) = 0; ws10(n,dropcol) = 0; abort$card(ws10) "Nonzeros were not all processed in ws10";
ws11(droprow,n) = 0; ws11(n,dropcol) = 0; abort$card(ws11) "Nonzeros were not all processed in ws11";
ws12(droprow,n) = 0; ws12(n,dropcol) = 0; abort$card(ws12) "Nonzeros were not all processed in ws12";

$batinclude extraph r h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 

parameter	h(*,r,y)	Electricity capacity and generation statistics;

h("capacity",r,y) = h1(r,y);
h("oilcap",r,y) = h2(r,y);
h("gascap",r,y) = h3(r,y);
h("colcap",r,y) = h4(r,y);
h("nuccap",r,y) = h5(r,y);
h("renewcap",r,y) = h6(r,y);
h("generation",r,y) = h7(r,y);
h("oilgen",r,y) = h8(r,y);
h("gasgen",r,y) = h9(r,y);
h("colgen",r,y) = h10(r,y);
h("nucgen",r,y) = h11(r,y);
h("renewgen",r,y) = h12(r,y);

option h:1:1:1;
display h;
